set(ITKVtkGlue_LOADED 1)
set(ITKVtkGlue_ENABLE_SHARED "1")
set(ITKVtkGlue_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PUBLIC_DEPENDS "ITKCommon;ITKVTK")
set(ITKVtkGlue_TRANSITIVE_DEPENDS "ITKCommon;ITKImageIntensity;ITKVTK")
set(ITKVtkGlue_PRIVATE_DEPENDS "")
set(ITKVtkGlue_LIBRARIES "ITKVtkGlue")
set(ITKVtkGlue_INCLUDE_DIRS "${ITK_INSTALL_PREFIX}/include/InsightToolkit;/usr/include/vtk;/usr/include;/usr/include/freetype2")
set(ITKVtkGlue_LIBRARY_DIRS "")
set(ITKVtkGlue_RUNTIME_LIBRARY_DIRS "${ITK_INSTALL_PREFIX}/lib/")
set(ITKVtkGlue_TARGETS_FILE "")

set(VTK_DIR "/usr/lib/cmake/vtk")

find_package(VTK NO_MODULE REQUIRED)

if(NOT VTK_VERSION)
  set(VTK_VERSION "6.3.0")
endif()
if(NOT VTK_RENDERING_BACKEND)
  set(VTK_RENDERING_BACKEND OpenGL)
endif()
set(_target_freetypeopengl)
if(TARGET vtkRenderingFreeTypeOpenGL)
  set(_target_freetypeopengl vtkRenderingFreeTypeOpenGL)
endif()

if( 6.3.0 VERSION_LESS 6.0.0 )
  set(ITKVtkGlue_VTK_INCLUDE_DIRS /usr/include/vtk;/usr/include/freetype2;/usr/include;/usr/include/python2.7;/usr/include/libxml2)
  set(ITKVtkGlue_VTK_LIBRARIES vtkImagingFourier;vtkImagingCore;vtkCommonDataModel;vtkCommonMath;vtkCommonCore;vtksys;vtkCommonMisc;vtkCommonSystem;vtkCommonTransforms;vtkCommonExecutionModel;vtkChartsCore;vtkCommonColor;vtkInfovisCore;vtkFiltersExtraction;vtkFiltersCore;vtkFiltersGeneral;vtkCommonComputationalGeometry;vtkFiltersStatistics;vtkalglib;vtkRenderingContext2D;vtkRenderingCore;vtkFiltersGeometry;vtkFiltersSources;vtkRenderingFreeType;/usr/lib/libfreetype.so;/usr/lib/libz.so;vtkftgl;/usr/lib/libpython2.7.so;vtkFiltersGeneric;vtkParallelCore;vtkIOLegacy;vtkIOCore;vtkImagingHybrid;vtkIOImage;vtkDICOMParser;vtkmetaio;/usr/lib/libjpeg.so;/usr/lib/libpng.so;/usr/lib/libtiff.so;vtkLocalExample;vtkIONetCDF;/lib/libnetcdf_c++.so;/lib/libnetcdf.so;/usr/lib/libhdf5.so;/usr/lib/libhdf5_hl.so;/usr/lib/libdl.so;/usr/lib/libm.so;vtkIOExport;vtkRenderingAnnotation;vtkImagingColor;vtkRenderingGL2PS;vtkRenderingContextOpenGL;vtkRenderingOpenGL;/usr/lib/libgl2ps.so;vtkRenderingLabel;vtkFiltersModeling;vtkIOVideo;vtkIOSQL;vtksqlite;vtkFiltersFlowPaths;vtkGUISupportQtSQL;vtkFiltersStatisticsGnuR;vtkFiltersSelection;vtkproj4;vtkFiltersHybrid;vtkImagingSources;vtkRenderingImage;vtkFiltersVerdict;verdict;vtkInteractionImage;vtkInteractionStyle;vtkInteractionWidgets;vtkImagingGeneral;vtkRenderingVolume;vtkIOXML;vtkIOGeometry;vtkIOXMLParser;/usr/lib/libexpat.so;vtkFiltersImaging;vtkRenderingLIC;/usr/lib/libtheoraenc.so;/usr/lib/libtheoradec.so;/usr/lib/libogg.so;vtkIOEnSight;vtkFiltersPython;vtkWrappingPythonCore;vtkWrappingTools;/usr/lib/libjsoncpp.so;vtkFiltersTexture;vtkIOLSDyna;vtkIOMovie;vtkIOAMR;vtkFiltersAMR;vtkInfovisLayout;vtkFiltersHyperTree;vtkViewsCore;vtkWrappingJava;vtkFiltersSMP;vtkDomainsChemistry;vtkGUISupportQtOpenGL;vtkGUISupportQt;vtkIOParallelXML;vtkFiltersParallelImaging;vtkFiltersParallel;vtkViewsContext2D;vtkTestingIOSQL;vtkGeovisCore;vtkIOParallel;vtkexoIIc;vtkViewsInfovis;vtkTestingGenericBridge;vtkRenderingLOD;vtkIOImport;vtkRenderingVolumeOpenGL;vtkIOMINC;vtkTestingRendering;vtkIOPLY;vtkGUISupportQtWebkit;vtkViewsQt;vtkViewsGeovis;/usr/lib/libxml2.so;vtkImagingMorphological;vtkIOExodus;vtkRenderingQt;vtkImagingStatistics;vtkImagingMath;vtkFiltersProgrammable;vtkIOInfovis;vtkImagingStencil)
else()
  set(_wrap_module)
  if(ITK_WRAP_PYTHON AND PYTHON_VERSION_STRING VERSION_LESS 3.0)
    set(_wrap_module vtkWrappingPythonCore)
  endif()
  vtk_module_config(ITKVtkGlue_VTK
    vtkRenderingOpenGL
    vtkRenderingFreeType
    
    vtkInteractionStyle
    vtkIOImage
    vtkImagingSources
    
    )

  set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS ${ITKVtkGlue_VTK_DEFINITIONS})
endif()

